#ifndef i2clcdaqm_h
#define i2clcdaqm_h

#include "Arduino.h"

class i2clcdaqm
{
  public:
   i2clcdaqm();
   i2clcdaqm(byte i2cadr);
   i2clcdaqm(byte lbr, byte i2cadr);
   i2clcdaqm(byte v5or33, byte lbr, byte i2cadr);
   int i2cwritecmd(byte cmd);
   int i2cwritedata(byte data);
   void lcdcu_set(int x, int y);
   void lcdclear();
   void lcdhome();
   void dsift_l();
   void dsift_r();
   void init_lcd();
   void init_lcd2();
   void i2cprint( String pdata);
private:
   byte _addr;
   byte _v5or33;
   byte _br;
 };

#endif
